---
# Source: kyverno/templates/role.yaml
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: 30-kyverno-kyverno:leaderelection
  labels: 
    app.kubernetes.io/component: kyverno
    app.kubernetes.io/instance: 30-kyverno-kyverno
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: kyverno
    app.kubernetes.io/part-of: kyverno
    app.kubernetes.io/version: "v2.3.1"
    helm.sh/chart: kyverno-v2.3.1
    app: kyverno
rules:
- apiGroups:
  - coordination.k8s.io
  resources:
  - leases
  verbs:
  - create
  - delete
  - get
  - patch
  - update
# Allow update of Kyverno deployment annotations
- apiGroups:
    - apps
  resources:
    - deployments
  verbs:
    - get
    - list
    - patch
    - update
    - watch
